List phone numbers
curl --request GET \
--url https://api.topcalls.ai/v1/phone-numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topcalls.ai/v1/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topcalls.ai/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"phone_numbers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "+18005551234",
"phone_number_sid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voip_carrier_sid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"carrier_name": "<string>",
"label": "<string>",
"error_message": "<string>",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"status": 401,
"title": "Unauthorized",
"detail": "Invalid or missing API key"
}{
"status": 403,
"title": "Forbidden",
"detail": "Missing required scope: calls:write"
}Phone Numbers
List phone numbers
Get all phone numbers on your account.
GET
/
v1
/
phone-numbers
List phone numbers
Authorizations
Use Authorization: Bearer tc_live_xxxxx
Query Parameters
Filter by status
Available options:
active, inactive, pending, failed, deleted Filter by source
Available options:
topcalls, byoc, manual, import Maximum number of results (default 50)
Required range:
1 <= x <= 100Pagination offset
Required range:
x >= 0⌘I